diff --git a/x11/kf6-frameworkintegration/Makefile b/x11/kf6-frameworkintegration/Makefile
index f5c2fe99855b..7430f4b7c065 100644
--- a/x11/kf6-frameworkintegration/Makefile
+++ b/x11/kf6-frameworkintegration/Makefile
@@ -1,14 +1,18 @@
 PORTNAME=	frameworkintegration
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	x11 kde kde-frameworks
 
 COMMENT=	Integration of Qt application with KDE workspaces
 MAINTAINER=	kde@FreeBSD.org
 
+LIB_DEPENDS=	libAppStreamQt.so:devel/appstream-qt@qt6 \
+		libpackagekitqt6.so:ports-mgmt/packagekit-qt@qt6 \
+
 USES=		cmake gettext gl kde:6 qt:6 tar:xz
 USE_GL=		gl opengl
 USE_KDE=	attica colorscheme config coreaddons i18n iconthemes newstuff \
-		notifications widgetsaddons \
+		notifications package widgetsaddons \
 		ecm:build
 USE_QT=		base
 
diff --git a/x11/kf6-frameworkintegration/pkg-plist b/x11/kf6-frameworkintegration/pkg-plist
index 611330de4c81..ef8cccb2115b 100644
--- a/x11/kf6-frameworkintegration/pkg-plist
+++ b/x11/kf6-frameworkintegration/pkg-plist
@@ -9,6 +9,7 @@ lib/cmake/KF6FrameworkIntegration/KF6FrameworkIntegrationTargets.cmake
 lib/libKF6Style.so
 lib/libKF6Style.so.%%KDE_FRAMEWORKS_VERSION%%
 lib/libKF6Style.so.6
+lib/libexec/kf6/kpackagehandlers/appstreamhandler
 lib/libexec/kf6/kpackagehandlers/knshandler
 %%QT_PLUGINDIR%%/kf6/FrameworkIntegrationPlugin.so
 share/knotifications6/plasma_workspace.notifyrc
diff --git a/x11/konsole/Makefile b/x11/konsole/Makefile
index 188d9e3e49ff..81052e785cfc 100644
--- a/x11/konsole/Makefile
+++ b/x11/konsole/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	konsole
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	x11 kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -14,17 +13,15 @@ RUN_DEPENDS=	keditbookmarks:deskutils/keditbookmarks
 LICENSE=	GPLv2+
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-USES=		cmake compiler:c++11-lang gettext pkgconfig kde:5 \
-		qt:5 tar:xz xorg
-USE_KDE=	auth attica bookmarks codecs completion config configwidgets \
-		coreaddons crash dbusaddons emoticons globalaccel guiaddons i18n \
-		iconthemes init itemmodels jobwidgets kio \
-		newstuff notifications notifyconfig parts pty service solid sonnet \
-		textwidgets widgetsaddons windowsystem xmlgui \
+USES=		cmake compiler:c++11-lang gettext kde:6 pkgconfig qt:6 tar:xz \
+		xorg
+USE_KDE=	attica auth bookmarks codecs completion config configwidgets \
+		coreaddons crash dbusaddons globalaccel guiaddons i18n \
+		iconthemes itemmodels jobwidgets kio newstuff notifications \
+		notifyconfig parts pty service solid sonnet textwidgets \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui multimedia network printsupport script scripttools sql \
-		widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/x11/konsole/distinfo b/x11/konsole/distinfo
index 408a44fd6529..c2be7505898e 100644
--- a/x11/konsole/distinfo
+++ b/x11/konsole/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889358
-SHA256 (KDE/release-service/23.08.5/konsole-23.08.5.tar.xz) = c6fb20753ac27a46bce62e31f7b105b6b99497035830b34a7bba1bc60260c1ca
-SIZE (KDE/release-service/23.08.5/konsole-23.08.5.tar.xz) = 1839952
+TIMESTAMP = 1734460397
+SHA256 (KDE/release-service/24.12.0/konsole-24.12.0.tar.xz) = 255f344d6ffe338dfeafd610bf6d63ed1bf9adf306948d58351838c057b21a54
+SIZE (KDE/release-service/24.12.0/konsole-24.12.0.tar.xz) = 1818624
diff --git a/x11/konsole/pkg-plist b/x11/konsole/pkg-plist
index 524efcc254f3..be402929c83b 100644
--- a/x11/konsole/pkg-plist
+++ b/x11/konsole/pkg-plist
@@ -1,13 +1,10 @@
 bin/konsole
 bin/konsoleprofile
-etc/xdg/konsolerc
 lib/kconf_update_bin/konsole_globalaccel
 lib/kconf_update_bin/konsole_show_menubar
-lib/libkonsoleapp.so.1
 lib/libkonsoleapp.so.%%KDE_APPLICATIONS_VERSION%%
-lib/libkonsoleprivate.so.1
 lib/libkonsoleprivate.so.%%KDE_APPLICATIONS_VERSION%%
-%%QT_PLUGINDIR%%/konsolepart.so
+%%QT_PLUGINDIR%%/kf6/parts/konsolepart.so
 %%QT_PLUGINDIR%%/konsoleplugins/konsole_quickcommandsplugin.so
 %%QT_PLUGINDIR%%/konsoleplugins/konsole_sshmanagerplugin.so
 share/applications/org.kde.konsole.desktop
@@ -15,31 +12,10 @@ share/kconf_update/konsole.upd
 share/kconf_update/konsole_add_hamburgermenu_to_toolbar.sh
 share/kglobalaccel/org.kde.konsole.desktop
 share/kio/servicemenus/konsolerun.desktop
-share/knotifications5/konsole.notifyrc
-share/knsrcfiles/konsole.knsrc
-%%DATADIR%%/1x2-terminals.json
-%%DATADIR%%/2x1-terminals.json
-%%DATADIR%%/2x2-terminals.json
-%%DATADIR%%/BlackOnLightYellow.colorscheme
-%%DATADIR%%/BlackOnRandomLight.colorscheme
-%%DATADIR%%/BlackOnWhite.colorscheme
-%%DATADIR%%/BlueOnBlack.colorscheme
-%%DATADIR%%/Breeze.colorscheme
-%%DATADIR%%/DarkPastels.colorscheme
-%%DATADIR%%/GreenOnBlack.colorscheme
-%%DATADIR%%/Linux.colorscheme
-%%DATADIR%%/RedOnBlack.colorscheme
-%%DATADIR%%/Solarized.colorscheme
-%%DATADIR%%/SolarizedLight.colorscheme
-%%DATADIR%%/WhiteOnBlack.colorscheme
-%%DATADIR%%/default.keytab
-%%DATADIR%%/linux.keytab
-%%DATADIR%%/macos.keytab
-%%DATADIR%%/solaris.keytab
-share/kservices5/konsolepart.desktop
-share/kservicetypes5/terminalemulator.desktop
+share/knotifications6/konsole.notifyrc
 share/locale/af/LC_MESSAGES/konsole.mo
 share/locale/ar/LC_MESSAGES/konsole.mo
+share/locale/ast/LC_MESSAGES/konsole.mo
 share/locale/az/LC_MESSAGES/konsole.mo
 share/locale/be/LC_MESSAGES/konsole.mo
 share/locale/be@latin/LC_MESSAGES/konsole.mo
@@ -131,5 +107,5 @@ share/locale/xh/LC_MESSAGES/konsole.mo
 share/locale/zh_CN/LC_MESSAGES/konsole.mo
 share/locale/zh_TW/LC_MESSAGES/konsole.mo
 share/metainfo/org.kde.konsole.appdata.xml
-share/qlogging-categories5/konsole.categories
+share/qlogging-categories6/konsole.categories
 share/zsh/site-functions/_konsole
diff --git a/x11/plasma-wayland-protocols/Makefile b/x11/plasma-wayland-protocols/Makefile
index 7eebf77f99aa..d2d654aa6d58 100644
--- a/x11/plasma-wayland-protocols/Makefile
+++ b/x11/plasma-wayland-protocols/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	plasma-wayland-protocols
 DISTVERSION=	1.15.0
+PORTREVISION=	1
 CATEGORIES=	x11 kde
 MASTER_SITES=	KDE/stable/${PORTNAME}/
 
@@ -10,9 +11,9 @@ WWW=		https://github.com/kde/plasma-wayland-protocols
 LICENSE=	LGPL21
 LICENSE_FILE=	${WRKSRC}/COPYING.LIB
 
-USES=		cmake kde:5 qt:5 tar:xz
+USES=		cmake kde:6 qt:6 tar:xz
 USE_KDE=	ecm:build
-USE_QT=		buildtools:build core:build qmake:build
+USE_QT=		base:build
 
 NO_ARCH=	yes
 
diff --git a/x11/plasma6-plasma-desktop/Makefile b/x11/plasma6-plasma-desktop/Makefile
index 9667dd9baa53..926306802e35 100644
--- a/x11/plasma6-plasma-desktop/Makefile
+++ b/x11/plasma6-plasma-desktop/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	plasma-desktop
 DISTVERSION=	${KDE_PLASMA_VERSION}
+PORTREVISION=	1
 CATEGORIES=	x11 kde kde-plasma
 
 MAINTAINER=	kde@FreeBSD.org
@@ -37,6 +38,12 @@ USE_KDE=	activities activities-stats attica auth baloo bookmarks \
 USE_QT=		5compat base declarative svg
 USE_XORG=	x11 xcb xcursor xext xfixes xi xrender
 
-#SHEBANG_FILES=	kcms/keyboard/*.py kcms/ksmserver/kconf_update/*.py
+OPTIONS_DEFINE=	SDL
+OPTIONS_SUB=	yes
+
+SDL_DESC=	Enable gamecontroller System Settings module (requires SDL)
+SDL_USES=	sdl
+SDL_USE=	sdl=sdl2
+SDL_CMAKE_OFF=	-DCMAKE_DISABLE_FIND_PACKAGE_SDL2:BOOL=On
 
 .include <bsd.port.mk>
diff --git a/x11/plasma6-plasma-desktop/pkg-plist b/x11/plasma6-plasma-desktop/pkg-plist
index 5b6e7a3b155f..5774095a7eee 100644
--- a/x11/plasma6-plasma-desktop/pkg-plist
+++ b/x11/plasma6-plasma-desktop/pkg-plist
@@ -21,6 +21,7 @@ lib/libexec/kf6/kauth/kcmdatetimehelper
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings/kcm_baloofile.so
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings/kcm_componentchooser.so
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings/kcm_desktoppaths.so
+%%SDL%%%%QT_PLUGINDIR%%/plasma/kcms/systemsettings/kcm_gamecontroller.so
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings/kcm_kded.so
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings/kcm_keyboard.so
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings/kcm_keys.so
@@ -73,6 +74,7 @@ share/applications/kcm_baloofile.desktop
 share/applications/kcm_clock.desktop
 share/applications/kcm_componentchooser.desktop
 share/applications/kcm_desktoppaths.desktop
+%%SDL%%share/applications/kcm_gamecontroller.desktop
 share/applications/kcm_kded.desktop
 share/applications/kcm_keyboard.desktop
 share/applications/kcm_keys.desktop
@@ -4191,6 +4193,7 @@ share/plasma/shells/org.kde.plasma.desktop/contents/views/Panel.qml
 share/plasma/shells/org.kde.plasma.desktop/contents/views/PreviewBanner.qml
 share/plasma/shells/org.kde.plasma.desktop/metadata.json
 share/polkit-1/actions/org.kde.kcontrol.kcmclock.policy
+%%SDL%%share/qlogging-categories6/kcm_gamecontroller.categories
 share/qlogging-categories6/kcm_kded.categories
 share/qlogging-categories6/kcm_keyboard.categories
 share/qlogging-categories6/kcm_mouse.categories
diff --git a/x11/plasma6-plasma-workspace/pkg-plist b/x11/plasma6-plasma-workspace/pkg-plist
index 3c501d065e5b..abad8aa2c81a 100644
--- a/x11/plasma6-plasma-workspace/pkg-plist
+++ b/x11/plasma6-plasma-workspace/pkg-plist
@@ -160,6 +160,7 @@ lib/libweather_ion.so.7.0.0
 %%QT_PLUGINDIR%%/kf6/krunner/calculator.so
 %%QT_PLUGINDIR%%/kf6/krunner/helprunner.so
 %%QT_PLUGINDIR%%/kf6/krunner/kcms/kcm_krunner_kill.so
+%%QT_PLUGINDIR%%/kf6/krunner/krunner_appstream.so
 %%QT_PLUGINDIR%%/kf6/krunner/krunner_bookmarksrunner.so
 %%QT_PLUGINDIR%%/kf6/krunner/krunner_kill.so
 %%QT_PLUGINDIR%%/kf6/krunner/krunner_placesrunner.so
diff --git a/x11/xwaylandvideobridge/Makefile b/x11/xwaylandvideobridge/Makefile
index ef0694250987..92ade4d72263 100644
--- a/x11/xwaylandvideobridge/Makefile
+++ b/x11/xwaylandvideobridge/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	xwaylandvideobridge
 DISTVERSION=	0.4.0
+PORTREVISION=	1
 CATEGORIES=	x11 kde
 MASTER_SITES=	KDE/stable/${PORTNAME}/
 
@@ -7,11 +8,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Tool to share specific windows to X11 clients
 WWW=		https://invent.kde.org/system/xwaylandvideobridge
 
-USES=		cmake kde:5 qt:5 tar:xz xorg
-USE_KDE=	coreaddons i18n kpipewire notifications windowsystem \
+USES=		cmake compiler:c++20-lang gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	coreaddons i18n kpipewire notifications statusnotifieritem \
+		windowsystem \
 		ecm:build
-USE_QT=		core dbus declarative gui network widgets x11extras \
-		buildtools:build qmake:build
+USE_QT=		base declarative \
+		tools:build
 USE_XORG=	x11 xcb
 
 .include <bsd.port.mk>
diff --git a/x11/xwaylandvideobridge/pkg-plist b/x11/xwaylandvideobridge/pkg-plist
index ecd204520152..78c53aaeb22f 100644
--- a/x11/xwaylandvideobridge/pkg-plist
+++ b/x11/xwaylandvideobridge/pkg-plist
@@ -29,4 +29,4 @@ share/locale/tr/LC_MESSAGES/xwaylandvideobridge.mo
 share/locale/uk/LC_MESSAGES/xwaylandvideobridge.mo
 share/locale/zh_CN/LC_MESSAGES/xwaylandvideobridge.mo
 share/metainfo/org.kde.xwaylandvideobridge.appdata.xml
-share/qlogging-categories5/xwaylandvideobridge.categories
+share/qlogging-categories6/xwaylandvideobridge.categories
diff --git a/x11/yakuake/Makefile b/x11/yakuake/Makefile
index 1d603e2e2005..c7b660c15a31 100644
--- a/x11/yakuake/Makefile
+++ b/x11/yakuake/Makefile
@@ -10,15 +10,14 @@ LICENSE=	GPLv2
 
 RUN_DEPENDS=	konsole:x11/konsole
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
-USE_KDE=	attica auth archive codecs completion config configwidgets \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	archive attica auth codecs completion config configwidgets \
 		coreaddons crash dbusaddons globalaccel i18n iconthemes \
 		jobwidgets kio newstuff notifications notifyconfig parts \
-		service solid sonnet textwidgets wayland widgetsaddons windowsystem \
-		xmlgui \
+		service solid sonnet statusnotifieritem textwidgets wayland \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets x11extras xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/x11/yakuake/distinfo b/x11/yakuake/distinfo
index 18bfccb1d23c..d79f59c034ad 100644
--- a/x11/yakuake/distinfo
+++ b/x11/yakuake/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889357
-SHA256 (KDE/release-service/23.08.5/yakuake-23.08.5.tar.xz) = 4c595894530a2c5248311e44fa50733245891667b6b2ebb33af2162db3a1eb24
-SIZE (KDE/release-service/23.08.5/yakuake-23.08.5.tar.xz) = 435320
+TIMESTAMP = 1734460399
+SHA256 (KDE/release-service/24.12.0/yakuake-24.12.0.tar.xz) = c485c67645f312e53e3e232be9a9bb72be033e6bb5dafe01c19aa3eb7e028466
+SIZE (KDE/release-service/24.12.0/yakuake-24.12.0.tar.xz) = 390128
diff --git a/x11/yakuake/pkg-plist b/x11/yakuake/pkg-plist
index c1a35ab99c74..6b2f369f7600 100644
--- a/x11/yakuake/pkg-plist
+++ b/x11/yakuake/pkg-plist
@@ -8,9 +8,10 @@ share/icons/hicolor/256x256/apps/yakuake.png
 share/icons/hicolor/32x32/apps/yakuake.png
 share/icons/hicolor/48x48/apps/yakuake.png
 share/icons/hicolor/64x64/apps/yakuake.png
-share/knotifications5/yakuake.notifyrc
+share/knotifications6/yakuake.notifyrc
 share/knsrcfiles/yakuake.knsrc
 share/locale/ar/LC_MESSAGES/yakuake.mo
+share/locale/ast/LC_MESSAGES/yakuake.mo
 share/locale/az/LC_MESSAGES/yakuake.mo
 share/locale/be/LC_MESSAGES/yakuake.mo
 share/locale/bg/LC_MESSAGES/yakuake.mo
@@ -30,6 +31,7 @@ share/locale/fi/LC_MESSAGES/yakuake.mo
 share/locale/fr/LC_MESSAGES/yakuake.mo
 share/locale/ga/LC_MESSAGES/yakuake.mo
 share/locale/gl/LC_MESSAGES/yakuake.mo
+share/locale/he/LC_MESSAGES/yakuake.mo
 share/locale/hi/LC_MESSAGES/yakuake.mo
 share/locale/hne/LC_MESSAGES/yakuake.mo
 share/locale/hr/LC_MESSAGES/yakuake.mo
